*** glibmm:

glibmm 2.52 wraps glib 2.52

glibmm 2.52 is a version of the glibmm-2.52 API.
It installs in parallel with the gtkmm-2.4 API/ABI, of which
the most recent version is glibmm 2.50.

http://www.gtkmm.org


*** Changes

2.51.1:

This is the first release of the glibmm-2.52 API/ABI.
It installs in parallel with the gtkmm-2.4 API/ABI, of which
the most recent version is glibmm 2.50. We know that is a bit
confusing. We are taking the opportunity to do this glibmm ABI
break while GTK+ (and therefore gtkmm) is also doing an ABI
break. But we cannot call this glibmm-3.0 because there is no
glib 3.0.

Build:
* Require C++14.
  (Murray Cumming)
* Use libsigc++-3.0 instead of libsigc++-2.0.
  https://www.murrayc.com/permalink/2016/03/07/libsigc-3-0-very-variadi
c/
  (Murray Cumming)
* Remove lots of deprecated API.
  (Kjell Ahlstedt)

Gio:
* BufferedInputStream, InputStream, OutputStream: Add vfuncs,
  allowing implementation in C++.
  (Krzysztof Kosiński, Kjell Ahlstedt) Bug #572471
* SettingsSchemaSource::get_default(): Correct the reference count.
  (Marcin Kolny) Bug #774593
* Settings: Fix type of 'key' parameter of writable-change-event signal
  (Marcin Kolny) Bug #773977

Glib:
* ustring: Add cbegin() and cend().
  (Murray Cumming)

-- 
Murray Cumming
murr...@murrayc.com
www.murrayc.com

_______________________________________________
gtkmm-list mailing list
gtkmm-list@gnome.org
https://mail.gnome.org/mailman/listinfo/gtkmm-list

Reply via email to